import request from '@/utils/request'

// 查询环保监管-违法督办信息列表
export function listSupervision(query) {
    return request({
        url: '/crmEnvSupervisionViolationSupervision/findByPage',
        method: 'get',
        params: query
    })
}

// 查询环保监管-违法督办信息详细
export function getSupervision(id) {
    return request({
        url: '/crmEnvSupervisionViolationSupervision/' + id,
        method: 'get'
    })
}

// 新增环保监管-违法督办信息
export function addSupervision(data) {
    return request({
        url: '/crmEnvSupervisionViolationSupervision',
        method: 'post',
        data: data
    })
}

// 修改环保监管-违法督办信息
export function updateSupervision(data) {
    return request({
        url: '/crmEnvSupervisionViolationSupervision',
        method: 'put',
        data: data
    })
}

// 删除环保监管-违法督办信息
export function delSupervision(id) {
    return request({
        url: '/crmEnvSupervisionViolationSupervision/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delSupervisionBatch(ids) {
    console.log(ids);
    return request.post('/crmEnvSupervisionViolationSupervision/delete',ids)
}